# -*- rpm-spec -*-
Name:           openvrml
Version:        0.16.6
Release:        6%{?dist}
Summary:        VRML/X3D runtime library
License:        LGPL
Group:          System Environment/Libraries
Source:         http://downloads.sf.net/openvrml/%{name}-%{version}.tar.gz
URL:            http://openvrml.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  pkgconfig >= 0.12.0
BuildRequires:  boost-devel >= 1.33.1
BuildRequires:  libpng-devel >= 1.0.12
BuildRequires:  libjpeg-devel >= 6b
BuildRequires:  fontconfig-devel >= 2.0
BuildRequires:  freetype-devel >= 2.1.2
BuildRequires:  firefox-devel
BuildRequires:  libGLU-devel
BuildRequires:  libXmu-devel
BuildRequires:  glib2-devel >= 2.6
BuildRequires:  gtk2-devel
BuildRequires:  libgnomeui-devel >= 2.14
BuildRequires:  curl-devel
Requires:       gecko-libs >= 1.8

%description
OpenVRML is a VRML/X3D support library, including a runtime and facilities
for reading and displaying VRML and X3D models.


%package devel
Summary:        Headers for developing C++ programs with OpenVRML
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       boost-devel >= 1.33.1
Requires:       libpng-devel
Requires:       libjpeg-devel
Requires:       fontconfig-devel
Requires:       freetype-devel
Requires:       firefox-devel = 2.0.0.8
%description devel
Headers that programmers will need to develop C++ programs using
OpenVRML.

%package gl
Summary:        OpenGL renderer for OpenVRML
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
%description gl
OpenGL renderer for OpenVRML.

%package gl-devel
Summary:        OpenVRML OpenGL renderer headers
Group:          Development/Libraries
Requires:       %{name}-gl = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}
Requires:       pkgconfig
Requires:       libGLU-devel
Requires:       libXmu-devel
Requires:       gtk2-devel
%description gl-devel
Headers that programmers will need to develop C++ programs using the
OpenVRML OpenGL renderer.

%package xembed
Summary:        VRML/X3D browser XEmbed component for embedding in X11 applications
Group:          Applications/Internet
License:        GPL
Requires:       %{name}-gl = %{version}-%{release}
Requires:       firefox = 2.0.0.8
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Obsoletes:      %{name}-gtkplug
%description xembed
VRML/X3D browser XEmbed component for embedding in X11 applications.

%package mozilla-plugin
Summary:        VRML/X3D browser plug-in for Mozilla-based browsers
Group:          Applications/Internet
License:        GPL
Requires:       %{name}-xembed = %{version}-%{release}
%description mozilla-plugin
VRML/X3D browser plug-in for Mozilla-based browsers.  Hosts the OpenVRML
XEmbed control.

%package player
Summary:        VRML/X3D player
Group:          Applications/Internet
License:        GPL
Requires:       %{name}-xembed = %{version}-%{release}
%description player
VRML/X3D player.  Hosts the OpenVRML XEmbed control.

%prep
%setup

%build
%configure --disable-static --disable-exception-specs --disable-examples --disable-script-node-java CPPFLAGS="-DNDEBUG" BOOST_LIB_SUFFIX="-mt"
%{__make} %{?_smp_mflags}

%install
%{__make} DESTDIR=%{buildroot} install
%{__rm} %{buildroot}%{_libdir}/*.la
%{__rm} %{buildroot}%{_libdir}/mozilla/plugins/openvrml.la
%{__rm} -f %{buildroot}%{_infodir}/dir

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING.LESSER ChangeLog NEWS README THANKS
%{_libdir}/libopenvrml.so.*

%files devel
%doc AUTHORS COPYING.LESSER ChangeLog NEWS README THANKS
%doc doc/manual
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/openvrml-common.h
%{_includedir}/%{name}/openvrml-config.h
%dir %{_includedir}/%{name}/openvrml
%{_includedir}/%{name}/openvrml/*.h
%{_libdir}/libopenvrml.so
%{_libdir}/pkgconfig/openvrml.pc


%post gl -p /sbin/ldconfig

%postun gl -p /sbin/ldconfig

%files gl
%doc AUTHORS COPYING.LESSER ChangeLog NEWS README THANKS
%{_libdir}/libopenvrml-gl.so.*


%files gl-devel
%doc AUTHORS COPYING.LESSER ChangeLog NEWS README THANKS
%{_includedir}/%{name}/openvrml-gl-common.h
%{_includedir}/%{name}/openvrml-gl-config.h
%{_includedir}/%{name}/openvrml/gl
%{_libdir}/libopenvrml-gl.so
%{_libdir}/pkgconfig/openvrml-gl.pc


%post xembed
/sbin/install-info %{_infodir}/openvrml-xembed.info %{_infodir}/dir || :

%preun xembed
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/openvrml-xembed.info %{_infodir}/dir || :
fi

%files xembed
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_infodir}/openvrml-xembed.info.gz
%{_libexecdir}/openvrml-xembed

%files mozilla-plugin
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_libdir}/mozilla/plugins/openvrml.so

%files player
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/openvrml-player
%{_datadir}/openvrml-player/glade/openvrml-player.glade


%changelog
* Wed Oct 25 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-6
- Made openvrml depend on gecko-libs instead of firefox.

* Wed Oct 24 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-5
- Updated firefox dependency to 2.0.0.8.

* Wed Aug 22 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-4
- Set BOOST_LIB_SUFFIX="-mt".
- Updated firefox dependency to 2.0.0.6.

* Fri Aug 03 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-3
- Rebuild for updated boost.

* Thu Jun 07 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-2
- Updated firefox dependency to 2.0.0.5.

* Thu Jun 07 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-1
- Updated to 0.16.6.

* Thu Jun 07 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.5-1
- Updated to 0.16.5.

* Sat Jun 02 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.4-3
- Updated firefox dependency to 2.0.0.4.

* Tue May 01 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.4-2
- Obsolete openvrml-gtkplug.

* Mon Apr 30 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.4-1
- Updated to 0.16.4.
- Added BuildRequires for libgnomeui-devel >= 2.14 and curl-devel.
- Changed name of gtkplug subpackage to xembed.
- Removed -I flag for firefox headers.
- Added player subpackage.

* Tue Mar 27 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.3-6
- openvrml-devel: Fixed unowned directories.

* Sun Mar 25 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.3-5
- Updated firefox dependency to 2.0.0.3.

* Fri Mar 16 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.3-4
- Updated firefox dependency to 2.0.0.2.

* Fri Feb 02 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.3-3
- Require GLib >= 2.6 for use of GOption in openvrml-gtkplug.

* Mon Jan 01 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.3-2
- Updated firefox dependency to 2.0.0.1.

* Sun Dec 31 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.3-1
- Updated to 0.16.3.

* Fri Dec 15 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.2-2
- openvrml-gtkplug: Appended "|| :" to install-info invocations.
- openvrml-gtkplug: Requires(post): /sbin/install-info and
  Requires(preun): /sbin/install-info.

* Thu Nov 30 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.2-1
- Updated to 0.16.2; openvrml-gtkplug-info.patch is no longer
  necessary.

* Mon Nov 27 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.1-5
- openvrml: Removed -fvisibility=hidden from CXXFLAGS.  Mozilla
  development headers are not wise to gcc symbol visibility mojo and as
  a result NPAPI entry points wound up not visible.
- openvrml: Require firefox 2.0.
- openvrml-devel: Require firefox-devel 2.0.

* Wed Nov 15 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.1-4
- Patch openvrml-gtkplug.info.

* Tue Nov 14 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.1-3
- openvrml: Require firefox 1.5.0.8.
- openvrml: Add -fvisibility=hidden to CXXFLAGS.
- openvrml: Use %%{__make} in %%install.
- openvrml: rm %%{buildroot}%%{_infodir}/dir at the end of %%install.
- openvrml-devel: Require pkgconfig, libpng-devel, libjpeg-devel,
  fontconfig-devel, freetype-devel, and firefox-devel = 1.5.0.8.
- openvrml-gl: Removed Requires: mesa-libGLU.
- openvrml-gl-devel: Require pkgconfig, openvrml-devel, libGLU-devel,
  libXmu-devel, and gtk2-devel.

* Mon Oct 30 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.1-2
- Removed trailing '.' from summaries.
- openvrml-devel: Include %%{version}-%%{release} in dependency on
  openvrml.
- openvrml-devel: Removed mention of static libraries from summary and
  description since they are no longer included.
- openvrml-gl: Run ldconfig in %%post, %%postun.
- openvrml-gl-devel: Include %%{release} in dependency on openvrml.
- openvrml-gl-devel: Removed mention of static libraries from summary and
  description since they are no longer included.
- openvrml-gtkplug: Include %%{release} in dependency on openvrml-gl.
- openvrml-gtkplug: Run install-info in %%post, %%preun.
- openvrml-gtkplug: Removed Requires for gtk2, libXmu.
- openvrml-mozilla-plugin: Include %%{release} in dependency on
  openvrml-gtkplug.
- openvrml-mozilla-plugin: Removed Requires for firefox.

* Sat Oct 28 2006  Braden McDaniel  <braden@endoframe.com>
- Run ldconfig in %%post and %%postun.
- Updated summary and description.
- Removed BuildRequires for zlib-devel.
- Removed Requires for zlib.
- Removed Requires for libpng.
- Removed Requires for libjpeg.
- Removed Requires for fontconfig.
- Removed Requires for freetype.
- Avoid packaging libtool .la files.
- Do not build static libraries.
- Do not use %%makeinstall.

* Fri Oct 27 2006  Braden McDaniel  <braden@endoframe.com>
- Removed obsolete references to openvrml.xpt and openvrml.idl by the
  mozilla-plugin package.
- Fixed file name for openvrml-gtkplug texinfo.

* Wed Oct 25 2006  Braden McDaniel  <braden@endoframe.com>
- Require firefox instead of mozilla.

* Thu Oct 05 2006  Braden McDaniel  <braden@endoframe.com>
- Added openvrml-gtkplug info.

* Thu Sep 28 2006  Braden McDaniel  <braden@endoframe.com>
- Added openvrml-gtkplug package.

* Mon Aug 14 2006  Braden McDaniel  <braden@endoframe.com>
- Added libXmu-devel to BuildRequires.
- Made mozilla-plugin package Require libXmu.

* Thu Aug 10 2006  Braden McDaniel  <braden@endoframe.com>
- Use %%{__make} instead of make.
- Use %%{__rm} instead of rm.
- Include openvrml-common.h and openvrml-config.h in openvrml-devel.
- Include openvrml-gl-common.h and openvrml-gl-config.h in
  openvrml-gl-devel.

* Wed Jul 26 2006  Braden McDaniel  <braden@endoframe.com>
- Require boost-devel 1.33.1.
- Added dependency on boost-devel to openvrml-devel.
- Updated Mesa package names for Fedora Core 5.

* Sun Feb 12 2006  Braden McDaniel  <braden@endoframe.com>
- configure with --disable-exception-specs.

* Tue Apr 20 2005  Braden McDaniel  <braden@endoframe.com>
- Removed dejagnu build prerequisite.

* Mon Mar 21 2005  Braden McDaniel  <braden@endoframe.com>
- No longer emit lookat package.
- configure with --disable-examples.

* Wed Jan 26 2005  Braden McDaniel  <braden@endoframe.com>
- configure with --disable-script-node-java.  The Script node Java binding
  is not currently usable.

* Fri Jan 07 2005  Braden McDaniel  <braden@endoframe.com>
- Added %%{_libexecdir}/openvrml-player to the openvrml-mozilla-plugin package.

* Fri Dec 29 2004  Braden McDaniel  <braden@endoframe.com>
- Fixed name of xorg-x11-devel prerequisite for the openvrml-gl-devel package.

* Fri Dec 24 2004  Braden McDaniel  <braden@endoframe.com>
- Require mozilla >= 1.6.  The plug-in now must link with libxpcom.
- Removed GtkGLExt dependency; added GTK+ 2.x dependency.  GtkGLExt is
  now included in the distribution.

* Thu Dec 03 2004  Braden McDaniel  <braden@endoframe.com>
- Use %%makeinstall macro.
- Install COPYING (GPL) with lookat documentation rather than COPYING.LESSER
  (LGPL).

* Tue Nov 30 2004  Braden McDaniel  <braden@endoframe.com>
- Added dejagnu >= 1.4 as a build prerequisite.

* Fri Nov 26 2004  Braden McDaniel  <braden@endoframe.com>
- Changed Mozilla plug-in RPM name to openvrml-mozilla-plugin.
- Refer to the plug-in in comments as "for Mozilla-based browsers" rather than
  "for Mozilla".

* Sun Nov 21 2004  Braden McDaniel  <braden@endoframe.com>
- Changed openvrml-gl-devel dependency on XFree86-devel to xorg-X11-devel.
- Removed openvrml-mozilla dependency on mozilla.  Other browsers (e.g.,
  Firefox) could use the plug-in, too.

* Sat May 15 2004  Braden McDaniel  <braden@endoframe.com>
- Use "License" instead of "Copyright".
- Require xorg-x11 packages instead of XFree86.
- Removed "Prefix" specification.
- Use "%%configure" macro.
- Install script.jar.
- Use %%{_libdir}, etc. macros.
- Install openvrml.idl.

* Sun May 09 2004  Braden McDaniel  <braden@endoframe.com>
- Corrected description of lookat RPM to reflect the change to using SDL.
- Define NDEBUG when configuring.

* Wed May 05 2004  Braden McDaniel  <braden@endoframe.com>
- Made Mozilla plug-in scriptable.

* Mon Apr 26 2004  Braden McDaniel  <braden@endoframe.com>
- Added Mozilla plug-in.

* Thu Nov 20 2003  Braden McDaniel  <braden@endoframe.com>
- Require SDL for lookat instead of glut.
- Set "DESTDIR" for "make install" rather than "prefix".

* Sun Nov 16 2003  Braden McDaniel  <braden@endoframe.com>
- Removed unused ARCH_FLAGS variable from "configure" invocation.
- Added _smp_mflags macro to invocation of make.

* Fri Nov 07 2003  Braden McDaniel  <braden@endoframe.com>
- Added "BuildRequires: libgcj-devel >= 3.3" and analogous Requires. Script
  node Java support is now included in the build, and older versions of libgcj
  have a bug that prevents OpenVRML from compiling.
- Removed glut requirement from opevrml-gl package. (Should have been done
  some time ago.)
- Added glut requirement to lookat package.
- Changed XFree86 requirement of openvrml-gl to XFree86-Mesa-libGLU to
  correspond to Fedora Core package name. Upped required version of XFree86 to
  4.3 to correspond to this.

* Mon Nov 03 2003  Braden McDaniel  <braden@endoframe.com>
- Removed lookat-bin from lookat package.
- Added mozilla requirement for lookat.  lookat is now built with -rpath for
  the Mozilla library directory; so the binary package requires the same
  Mozilla version it was built against.

* Mon Oct 27 2003  Braden McDaniel  <braden@endoframe.com>
- Added lookat-bin to lookat package.

* Tue Sep 30 2003  Braden McDaniel  <braden@endoframe.com>
- Added BuildRequires: boost-devel.

* Sun Sep 28 2003  Braden McDaniel  <braden@endoframe.com>
- Changed COPYING.LIB to COPYING.LESSER.
- Moved pkg-config metadata files to devel packages.
- Changes for parity with installation directory names.

* Tue Dec 17 2002  Braden McDaniel  <braden@endoframe.com>
- Removed conformance.html from %%doc.  This doc now incorporated into doxygen
  docs.

* Tue Dec 10 2002  Braden McDaniel  <braden@endoframe.com>
- Added BuildRequires for pkgconfig, fontconfig-devel, freetype-devel.
- Added Requires for fontconfig, freetype.
- Updated configure arguments.
- Added conformance.html to openvrml's %%doc.
- Added API (doxygen) docs to openvrml-devel's %%doc.
- Removed GL renderer headers in openvrml-devel.
- Added AUTHORS, COPYING.LIB, ChangeLog, NEWS, README, THANKS to %%doc for all
  packages.

* Sun Dec 08 2002  Braden McDaniel  <braden@endoframe.com>
- Removed COPYING from %%doc.

* Thu Dec 05 2002  Braden McDaniel  <braden@endoframe.com>
- Added minimum versions to BuildRequires dependencies.
- configure --without-ftflibs.
- Require Mozilla 1.2.1; removed obsolete CPPFLAGS and LDFLAGS when
  configuring.

* Sun Jun 30 2002  Braden McDaniel  <braden@endoframe.com>
- configure --without-doxygen.
- Removed "doc/conformance.html" from %%doc.

* Sat Jun 15 2002  Braden McDaniel  <braden@endoframe.com>
- Use CPPFLAGS and LDFLAGS for Mozilla 1.0.0 when running configure.
- Require Mozilla 1.0.0.

* Mon May 20 2002  Braden McDaniel  <braden@endoframe.com>
- Fixed pkgconfig metafile names.
- Updated dependencies to reflect RPMs shipping with Red Hat 7.3.
- Updated source download URI.
- Removed prefix.
- Added BuildRequires.
- Added Requires for zlib, libpng, libjpeg, mozilla.
- configure --without-jdk.

* Thu Jan 24 2002  Braden McDaniel  <braden@endoframe.com>
- Added package metafiles for pkgconfig.
- Removed autoconf macros for use by client packages.

* Fri Jun 29 2001  Braden McDaniel  <braden@endoframe.com>
- Removed MPL-1.1.txt from %%doc. File nolonger distributed.
- Prefer the shorter "sf.net" to "sourceforge.net".

* Wed Jun 6 2001  Braden McDaniel  <braden@endoframe.com>
- Added COPYING to %%doc.
- Changed URL to <http://openvrml.org>
- Corrected packager e-mail address.

* Thu Jan 25 2001  Braden McDaniel  <braden@endoframe.com>
- Fixed location of lookat icon in %%files section for lookat
- Added Mesa >= 3.2 as a requirement for openvrml-gl.

* Tue Jan 2 2001  Braden McDaniel  <braden@endoframe.com>
- Removed obsolete TODO from %%doc.

* Sun Dec 31 2000  Clayton Cottingham <drfrog@smartt.com>
- Change in install section rm command is now recursive

* Fri Dec 15 2000  Braden McDaniel  <braden@endoframe.com>
- Added lookat.xpm to files section for lookat.

* Fri Dec 8 2000  Braden McDaniel  <braden@endoframe.com>
- Changes to reflect library name and header location changes.

* Sun Dec 3 2000  Braden McDaniel  <braden@endoframe.com>
- Removed README.SOUND from %%doc

* Sun Nov 26 2000  Braden McDaniel  <braden@endoframe.com>
- Added conformance.html to %%doc.
- Removed obsolete COPYING.ANTLR from %%doc.
- Changed URL to <http://openvrml.sourceforge.net>.
- Removed obsolete NODES from %%doc.

* Thu Nov 23 2000  Braden McDaniel  <braden@endoframe.com>
- Gave much love. Checked into CVS. Still not guaranteed to work, though.

* Tue Oct 24 2000  Braden McDaniel  <braden@endoframe.com>
- Received initial spec file from Clayton Cottingham <drfrog@smartt.com>.
